"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.equalOrSemverEqual = equalOrSemverEqual;
const semver_1 = __importDefault(require("semver"));
function equalOrSemverEqual(version1, version2) {
    if (version1 === version2)
        return true;
    try {
        return semver_1.default.eq(version1, version2, { loose: true });
    }
    catch {
        return false;
    }
}
//# sourceMappingURL=equalOrSemverEqual.js.map